# Swish::query

(PECL swish >= 0.1.0)

Swish::query — Execute a query and return results object

### Description

Swish::query ( string `$query` ) : object
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

A quick method to execute a search with default parameters.

### Parameters

`query`

  Query string.

### Return Values

Returns SwishResults object.

### Errors/Exceptions

Throws SwishException on error.

### Examples

Example #1 Basic Swish::query() example

`<?php
try {
$swish = new Swish("index.swish-e");
$results = $swish->query("test query");
echo "Found: ", $results->hits, " hits\n";
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    Found: 1 hits